commit:     715c1faff56970204d829783836f3e4611064456
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  3 12:44:09 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Jul  3 12:44:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=715c1faf

sys-apps/opal-utils: enable py3.12, py3.13, cleanup ebuild

Closes: https://bugs.gentoo.org/929816
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 sys-apps/opal-utils/opal-utils-7.0.ebuild | 46 +++++++++++++++----------------
 1 file changed, 23 insertions(+), 23 deletions(-)

diff --git a/sys-apps/opal-utils/opal-utils-7.0.ebuild 
b/sys-apps/opal-utils/opal-utils-7.0.ebuild
index 231e4fdcf567..4eaec7d8ec94 100644
--- a/sys-apps/opal-utils/opal-utils-7.0.ebuild
+++ b/sys-apps/opal-utils/opal-utils-7.0.ebuild
@@ -1,38 +1,38 @@
-# Copyright 2019-2023 Gentoo Authors
+# Copyright 2019-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..13} )
 
 inherit linux-info python-single-r1 systemd toolchain-funcs
 
 DESCRIPTION="OPAL firmware utilities"
 HOMEPAGE="https://github.com/open-power/skiboot";
 SRC_URI="https://github.com/open-power/skiboot/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/skiboot-${PV}"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
 KEYWORDS="ppc64"
 IUSE="doc"
-
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
-DEPEND=""
-RDEPEND="${DEPEND} ${PYTHON_DEPS}"
-
-BDEPEND="doc? ( $(python_gen_cond_dep '
-       dev-python/sphinx[${PYTHON_USEDEP}]
-       dev-python/recommonmark[${PYTHON_USEDEP}]')
-)"
+RDEPEND="${PYTHON_DEPS}"
+BDEPEND="
+       doc? (
+               $(python_gen_cond_dep '
+                       dev-python/sphinx[${PYTHON_USEDEP}]
+                       dev-python/recommonmark[${PYTHON_USEDEP}]'
+               )
+       )
+"
 
 CONFIG_CHECK="~MTD_POWERNV_FLASH ~OPAL_PRD ~PPC_DT_CPU_FTRS ~SCOM_DEBUGFS"
 ERROR_MTD_POWERND_FLASH="CONFIG_MTD_POWERND_FLASH is required to use pflash 
and opal-gard"
 ERROR_OPAL_PRD="CONFIG_OPAL_PRD is required to run opal-prd daemon"
 ERROR_SCOM_DEBUGFS="CONFIG_SCOM_DEBUGFS is required to use xscom-utils"
 
-S="${WORKDIR}/skiboot-${PV}"
-
 PATCHES=(
        "${FILESDIR}/flags.patch"
 )
@@ -61,6 +61,17 @@ src_compile() {
        use doc && emake V=1 -C doc html
 }
 
+src_test() {
+       emake V=1 -C external/opal-prd test
+       emake V=1 -C external/gard check
+
+       # 2 test are fragile and fails because of filename path
+       rm -v external/pflash/test/tests/01-info || die
+       rm -v external/pflash/test/tests/06-miscprint || die
+       emake V=1 -C external/pflash check
+       emake V=1 -C external/ffspart check
+}
+
 src_install() {
        emake -C external/opal-prd DESTDIR="${D}" prefix="${EPREFIX}/usr" 
install
        emake -C external/gard DESTDIR="${D}" prefix="${EPREFIX}/usr" install
@@ -82,14 +93,3 @@ src_install() {
        fi
        einstalldocs
 }
-
-src_test() {
-       emake V=1 -C external/opal-prd test
-       emake V=1 -C external/gard check
-
-       # 2 test are fragile and fails because of filename path
-       rm -v external/pflash/test/tests/01-info || die
-       rm -v external/pflash/test/tests/06-miscprint || die
-       emake V=1 -C external/pflash check
-       emake V=1 -C external/ffspart check
-}

Reply via email to